<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Landon Hotel | Room Reservations </title>
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
		  integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>
<div th:replace="fragments/header :: header('reservations')"></div>
<main class="container">
	<h1>Occupancy</h1>
	<div class="container">
		<input id="picker" type="date" onchange="handleDate()" th:text="${date}"/>
	</div>
	<table class="table">
		<thead>
		<th scope="col">Room Number</th>
		<th scope="col">Room Name</th>
		<th scope="col">Guest</th>
		</thead>
		<tbody>
		<tr th:each="reservation : ${reservations}">
			<td th:text="${reservation.roomNumber}">Room Number</td>
			<td th:text="${reservation.roomName}">Room Name</td>
			<td th:text="${reservation.lastName}!=null? ${reservation.lastName} + ', ' + ${reservation.firstName}: 'VACANT'">
				Guest
			</td>
		</tr>
		</tbody>
	</table>

</main>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/js/bootstrap.bundle.min.js"
		integrity="sha384-HwwvtgBNo3bZJJLYd8oVXjrBZt8cqVSpeBNS5n7C8IVInixGAoxmnlMuBnhbgrkm"
		crossorigin="anonymous"></script>
<script type="text/javascript">
	function handleDate() {
		let date = document.getElementById("picker").valueAsDate
		let result = date.toISOString().split('T')[0]
		if ('URLSearchParams' in window) {
			const searchParams = new URLSearchParams(window.location.search);
			searchParams.set("date", result);
			window.location.search = searchParams.toString();
		}
	}
</script>
</body>
</html>
